load("@bazel_gazelle//:deps.bzl", "go_repository")

def go_repositories():
    go_repository(
        name = "org_golang_x_net",
        commit = "d3edc9973b7eb1fb302b0ff2c62357091cea9a30",
        importpath = "golang.org/x/net",
    )

    go_repository(
        name = "io_k8s_kubernetes",
        importpath = "k8s.io/kubernetes",
        # Get from HTTP instead, this repository is _big_
        urls = ["https://github.com/kubernetes/kubernetes/archive/v1.16.0.tar.gz"],
        sha256 = "a8b2ee84ce38fa14404d7e56daa87aa2f2fb13e0114fb1150f294c992ab3f36c",
        strip_prefix = "kubernetes-1.16.0",
    )

    go_repository(
        name = "io_k8s_repo_infra",
        commit = "df02ded38f9506e5bbcbf21702034b4fef815f2f",
        importpath = "k8s.io/repo-infra",
    )

    go_repository(
        name = "com_github_bitnami_kubecfg",
        importpath = "github.com/bitnami/kubecfg",
        vcs = "git",
        commit = "dddf366990f581132cd046c723d73a2357de2dc8",
        remote = "https://github.com/q3k/kubecfg",
    )

    go_repository(
        name = "com_github_projectcalico_calicoctl",
        importpath = "github.com/projectcalico/calicoctl",
        # This fork implements explicit Bazel rules
        remote = "https://github.com/q3k/calicoctl",
        vcs = "git",
        commit = "1bc31862f07e7539ca493de9137ed1ad56cc9f43",
        build_file_generation = "off",
    )

    go_repository(
        name = "com_github_shirou_gopsutil",
        commit = "2cbc9195c892b304060269ef280375236d2fcac9",
        importpath = "github.com/shirou/gopsutil",
    )

    go_repository(
        name = "com_github_cloudflare_cfssl",
        commit = "768cd563887febaad559b511aaa5964823ccb4ab",
        importpath = "github.com/cloudflare/cfssl",
    )

    go_repository(
        name = "com_github_mattn_go_sqlite3",
        commit = "5994cc52dfa89a4ee21ac891b06fbc1ea02c52d3",
        importpath = "github.com/mattn/go-sqlite3",
    )

    go_repository(
        name = "com_github_sebastiaanklippert_go_wkhtmltopdf",
        commit = "72a7793efd38728796273861bb27d590cc33d9d4",
        importpath = "github.com/sebastiaanklippert/go-wkhtmltopdf",
    )

    go_repository(
        name = "com_github_ziutek_telnet",
        commit = "c3b780dc415b28894076b4ec975ea3ea69e3980f",
        importpath = "github.com/ziutek/telnet",
    )

    go_repository(
        name = "com_github_digitalocean_go_netbox",
        commit = "29433ec527e78486ea0a5758817ab672d977f90e",
        importpath = "github.com/digitalocean/go-netbox",
    )

    go_repository(
        name = "com_github_cenkalti_backoff",
        commit = "4b4cebaf850ec58f1bb1fec5bdebdf8501c2bc3f",
        importpath = "github.com/cenkalti/backoff",
    )

    go_repository(
        name = "ml_vbom_util",
        commit = "db5cfe13f5cc",
        importpath = "vbom.ml/util",
    )

    go_repository(
        name = "com_github_go_openapi_strfmt",
        importpath = "github.com/go-openapi/strfmt",
        tag = "v0.19.0",
    )

    go_repository(
        name = "com_github_go_openapi_swag",
        importpath = "github.com/go-openapi/swag",
        tag = "v0.19.5",
    )

    go_repository(
        name = "com_github_go_openapi_errors",
        importpath = "github.com/go-openapi/errors",
        tag = "v0.19.2",
    )

    go_repository(
        name = "com_github_go_openapi_runtime",
        importpath = "github.com/go-openapi/runtime",
        tag = "v0.19.0",
    )

    go_repository(
        name = "com_github_go_openapi_validate",
        importpath = "github.com/go-openapi/validate",
        tag = "v0.19.2",
    )

    go_repository(
        name = "com_github_mitchellh_mapstructure",
        importpath = "github.com/mitchellh/mapstructure",
        tag = "v1.1.2",
    )

    go_repository(
        name = "org_mongodb_go_mongo_driver",
        commit = "9ec4480161a76f5267d56fc836b7f6d357fd9209",
        importpath = "go.mongodb.org/mongo-driver",
    )

    go_repository(
        name = "in_gopkg_yaml_v2",
        importpath = "gopkg.in/yaml.v2",
        tag = "v2.2.4",
    )

    go_repository(
        name = "com_github_asaskevich_govalidator",
        commit = "f61b66f89f4a",
        importpath = "github.com/asaskevich/govalidator",
    )

    go_repository(
        name = "com_github_go_openapi_spec",
        importpath = "github.com/go-openapi/spec",
        tag = "v0.19.2",
    )

    go_repository(
        name = "com_github_mailru_easyjson",
        commit = "b2ccc519800e",
        importpath = "github.com/mailru/easyjson",
    )

    go_repository(
        name = "com_github_go_openapi_analysis",
        importpath = "github.com/go-openapi/analysis",
        tag = "v0.19.2",
    )

    go_repository(
        name = "com_github_go_openapi_jsonpointer",
        importpath = "github.com/go-openapi/jsonpointer",
        tag = "v0.19.3",
    )

    go_repository(
        name = "com_github_go_openapi_loads",
        importpath = "github.com/go-openapi/loads",
        tag = "v0.19.2",
    )

    go_repository(
        name = "com_github_go_openapi_jsonreference",
        importpath = "github.com/go-openapi/jsonreference",
        tag = "v0.19.2",
    )

    go_repository(
        name = "com_github_puerkitobio_purell",
        importpath = "github.com/PuerkitoBio/purell",
        tag = "v1.1.1",
    )

    go_repository(
        name = "com_github_puerkitobio_urlesc",
        commit = "de5bf2ad4578",
        importpath = "github.com/PuerkitoBio/urlesc",
    )

    go_repository(
        name = "com_github_abbot_go_http_auth",
        commit = "860ed7f246ff5abfdbd5c7ce618fd37b49fd3d86",
        importpath = "github.com/abbot/go-http-auth",
    )

    go_repository(
        name = "com_github_urfave_cli",
        importpath = "github.com/urfave/cli",
        tag = "v1.20.0",
    )

    go_repository(
        name = "org_golang_x_crypto",
        commit = "60c769a6c586",
        importpath = "golang.org/x/crypto",
    )

    go_repository(
        name = "org_golang_x_oauth2",
        commit = "0f29369cfe45",
        importpath = "golang.org/x/oauth2",
    )

    go_repository(
        name = "com_github_djherbis_atime",
        commit = "2d569978378562c466df74eda2d82900f435c5f4",
        importpath = "github.com/djherbis/atime",
    )

    go_repository(
        name = "com_google_cloud_go",
        importpath = "cloud.google.com/go",
        tag = "v0.38.0",
    )

    go_repository(
        name = "com_github_stackexchange_wmi",
        commit = "cbe66965904dbe8a6cd589e2298e5d8b986bd7dd",
        importpath = "github.com/stackexchange/wmi",
    )

    go_repository(
        name = "com_github_go_ole_go_ole",
        commit = "938323a72016e9cf84fa5fba7635089efb0ad87f",
        importpath = "github.com/go-ole/go-ole",
    )

    go_repository(
        name = "com_github_dustin_go_humanize",
        importpath = "github.com/dustin/go-humanize",
        tag = "v1.0.0",
    )

    go_repository(
        name = "io_k8s_client_go",
        commit = "0a8a1d7b7fae",
        importpath = "k8s.io/client-go",
        build_extra_args = [
            "-known_import=github.com/Azure/go-autorest",
            "-known_import=github.com/googleapis/gnostic",
        ],
    )

    go_repository(
        name = "io_k8s_apimachinery",
        build_file_proto_mode = "disable",
        commit = "731dcecc205498f52a21b12e311af095efb4b188",
        importpath = "k8s.io/apimachinery",
        patches = ["//third_party/go/k8s-apimachinery:fix-kubernetes-bug-87675.patch"],
        patch_args = ["-p1"],
    )

    go_repository(
        name = "io_k8s_klog",
        importpath = "k8s.io/klog",
        tag = "v1.0.0",
    )

    go_repository(
        name = "io_k8s_utils",
        commit = "e782cd3c129f",
        importpath = "k8s.io/utils",
    )

    go_repository(
        name = "com_github_googleapis_gnostic",
        commit = "15cf44e552f9",
        importpath = "github.com/googleapis/gnostic",
        build_file_generation = "on",
        build_file_proto_mode = "disable",
    )

    go_repository(
        name = "io_k8s_api",
        build_file_proto_mode = "disable",
        commit = "bbc9463b57e5",
        importpath = "k8s.io/api",
    )

    go_repository(
        name = "org_golang_x_time",
        commit = "9d24e82272b4",
        importpath = "golang.org/x/time",
    )

    go_repository(
        name = "com_github_google_gofuzz",
        importpath = "github.com/google/gofuzz",
        tag = "v1.0.0",
    )

    go_repository(
        name = "io_k8s_sigs_yaml",
        importpath = "sigs.k8s.io/yaml",
        tag = "v1.1.0",
    )

    go_repository(
        name = "com_github_modern_go_reflect2",
        importpath = "github.com/modern-go/reflect2",
        tag = "v1.0.1",
    )

    go_repository(
        name = "com_github_davecgh_go_spew",
        importpath = "github.com/davecgh/go-spew",
        tag = "v1.1.1",
    )

    go_repository(
        name = "com_github_json_iterator_go",
        importpath = "github.com/json-iterator/go",
        tag = "v1.1.8",
    )

    go_repository(
        name = "com_github_modern_go_concurrent",
        commit = "bacd9c7ef1dd",
        importpath = "github.com/modern-go/concurrent",
    )

    go_repository(
        name = "in_gopkg_inf_v0",
        importpath = "gopkg.in/inf.v0",
        tag = "v0.9.1",
    )

    go_repository(
        name = "com_github_cloudflare_cfrpki",
        commit = "adece784464315db69299ba75e9287c60cd95c69",
        importpath = "github.com/cloudflare/cfrpki",
    )

    go_repository(
        name = "com_github_prometheus_client_golang",
        importpath = "github.com/prometheus/client_golang",
        tag = "v1.0.0",
    )

    go_repository(
        name = "com_github_rs_cors",
        commit = "db0fe48135e83b5812a5a31be0eea66984b1b521",
        importpath = "github.com/rs/cors",
    )

    go_repository(
        name = "com_github_cloudflare_gortr",
        commit = "95270606e8853d9b93f5be46d656d08ec0a4ef09",
        importpath = "github.com/cloudflare/gortr",
    )

    go_repository(
        name = "com_github_gorilla_mux",
        importpath = "github.com/gorilla/mux",
        tag = "v1.6.2",
    )

    go_repository(
        name = "com_github_sirupsen_logrus",
        importpath = "github.com/sirupsen/logrus",
        tag = "v1.4.2",
    )

    go_repository(
        name = "com_github_prometheus_common",
        importpath = "github.com/prometheus/common",
        tag = "v0.4.1",
    )

    go_repository(
        name = "com_github_beorn7_perks",
        importpath = "github.com/beorn7/perks",
        tag = "v1.0.0",
    )

    go_repository(
        name = "com_github_prometheus_client_model",
        commit = "fd36f4220a90",
        importpath = "github.com/prometheus/client_model",
    )

    go_repository(
        name = "com_github_prometheus_procfs",
        importpath = "github.com/prometheus/procfs",
        tag = "v0.0.2",
    )

    go_repository(
        name = "com_github_matttproud_golang_protobuf_extensions",
        importpath = "github.com/matttproud/golang_protobuf_extensions",
        tag = "v1.0.1",
    )

    go_repository(
        name = "com_github_jmoiron_sqlx",
        commit = "38398a30ed8516ffda617a04c822de09df8a3ec5",
        importpath = "github.com/jmoiron/sqlx",
    )

    go_repository(
        name = "com_github_lib_pq",
        commit = "3427c32cb71afc948325f299f040e53c1dd78979",
        importpath = "github.com/lib/pq",
    )

    go_repository(
        name = "com_github_gchaincl_sqlhooks",
        commit = "1932c8dd22f2283687586008bf2d58c2c5c014d0",
        importpath = "github.com/gchaincl/sqlhooks",
    )

    go_repository(
        name = "com_github_golang_migrate_migrate_v4",
        commit = "e93eaeb3fe21ce2ccc1365277a01863e6bc84d9c",
        importpath = "github.com/golang-migrate/migrate/v4",
        remote = "https://github.com/golang-migrate/migrate",
        vcs = "git",
    )

    go_repository(
        name = "com_github_hashicorp_go_multierror",
        commit = "bdca7bb83f603b80ef756bb953fe1dafa9cd00a2",
        importpath = "github.com/hashicorp/go-multierror",
    )

    go_repository(
        name = "com_github_hashicorp_errwrap",
        commit = "8a6fb523712970c966eefc6b39ed2c5e74880354",
        importpath = "github.com/hashicorp/errwrap",
    )

    go_repository(
        name = "com_github_cockroachdb_cockroach_go",
        commit = "e0a95dfd547cc9c3ebaaba1a12c2afe4bf621ac5",
        importpath = "github.com/cockroachdb/cockroach-go",
    )

    go_repository(
        name = "com_github_jackc_pgx",
        commit = "6954c15ad0bd3c9aa6dd1b190732b020379beb28",
        importpath = "github.com/jackc/pgx",
    )

    go_repository(
        name = "com_github_golang_collections_go_datastructures",
        commit = "59788d5eb2591d3497ffb8fafed2f16fe00e7775",
        importpath = "github.com/golang-collections/go-datastructures",
    )

    go_repository(
        name = "com_github_go_test_deep",
        commit = "cf67d735e69b4a4d50cdf571a92b0144786080f7",
        importpath = "github.com/go-test/deep",
    )

    go_repository(
        name = "com_github_sethvargo_go_password",
        commit = "68ac5879751a7105834296859f8c1bf70b064675",
        importpath = "github.com/sethvargo/go-password",
    )

    go_repository(
        name = "in_gopkg_ldap_v3",
        commit = "9f0d712775a0973b7824a1585a86a4ea1d5263d9",
        importpath = "gopkg.in/ldap.v3",
    )

    go_repository(
        name = "in_gopkg_asn1_ber_v1",
        commit = "f715ec2f112d1e4195b827ad68cf44017a3ef2b1",
        importpath = "gopkg.in/asn1-ber.v1",
    )

    go_repository(
        name = "com_github_q3k_cursedjsonrpc",
        commit = "304f0561c9162a2696f3ae7c96f3404324177ab8",
        importpath = "github.com/q3k/cursedjsonrpc",
    )

    go_repository(
        name = "com_github_q3k_cursedjson",
        commit = "af0e3abb1bcef7197b3b9f91d7d094e6528a2d05",
        importpath = "github.com/q3k/cursedjson",
    )

    go_repository(
        name = "co_honnef_go_tools",
        commit = "ea95bdfd59fc",
        importpath = "honnef.co/go/tools",
    )

    go_repository(
        name = "com_github_azure_go_ansiterm",
        commit = "d6e3b3328b78",
        importpath = "github.com/Azure/go-ansiterm",
    )

    go_repository(
        name = "com_github_azure_go_autorest",
        importpath = "github.com/Azure/go-autorest",
        tag = "v11.5.0",
    )

    native.local_repository(
        name = "com_github_census_instrumentation_opencensus_proto",
        path = "./third_party/go/opencensus-proto",
    )

    go_repository(
        name = "com_github_client9_misspell",
        importpath = "github.com/client9/misspell",
        tag = "v0.3.4",
    )

    go_repository(
        name = "com_github_containerd_continuity",
        commit = "7f53d412b9eb",
        importpath = "github.com/containerd/continuity",
    )

    go_repository(
        name = "com_github_coreos_clair",
        commit = "44ae4bc9590a",
        importpath = "github.com/coreos/clair",
    )

    go_repository(
        name = "com_github_dgrijalva_jwt_go",
        importpath = "github.com/dgrijalva/jwt-go",
        tag = "v3.2.0",
    )

    go_repository(
        name = "com_github_docker_cli",
        commit = "54c19e67f69c",
        importpath = "github.com/docker/cli",
    )

    go_repository(
        name = "com_github_docker_distribution",
        importpath = "github.com/docker/distribution",
        tag = "v2.7.1",
    )

    go_repository(
        name = "com_github_docker_docker",
        commit = "be7ac8be2ae0",
        importpath = "github.com/docker/docker",
    )

    go_repository(
        name = "com_github_docker_docker_ce",
        commit = "f53bd8bb8e43",
        importpath = "github.com/docker/docker-ce",
    )

    go_repository(
        name = "com_github_docker_docker_credential_helpers",
        importpath = "github.com/docker/docker-credential-helpers",
        tag = "v0.6.1",
    )

    go_repository(
        name = "com_github_docker_go_connections",
        commit = "97c2040d34df",
        importpath = "github.com/docker/go-connections",
    )

    go_repository(
        name = "com_github_docker_go_metrics",
        commit = "399ea8c73916",
        importpath = "github.com/docker/go-metrics",
    )

    go_repository(
        name = "com_github_docker_go_units",
        importpath = "github.com/docker/go-units",
        tag = "v0.3.3",
    )

    go_repository(
        name = "com_github_docker_libtrust",
        commit = "aabc10ec26b7",
        importpath = "github.com/docker/libtrust",
    )

    go_repository(
        name = "com_github_elazarl_go_bindata_assetfs",
        commit = "38087fe4dafb",
        importpath = "github.com/elazarl/go-bindata-assetfs",
    )

    go_repository(
        name = "com_github_evanphx_json_patch",
        importpath = "github.com/evanphx/json-patch",
        tag = "v4.2.0",
    )

    go_repository(
        name = "com_github_fernet_fernet_go",
        commit = "9eac43b88a5e",
        importpath = "github.com/fernet/fernet-go",
    )

    go_repository(
        name = "com_github_fsnotify_fsnotify",
        importpath = "github.com/fsnotify/fsnotify",
        tag = "v1.4.7",
    )

    go_repository(
        name = "com_github_genuinetools_pkg",
        commit = "1c141f661797",
        importpath = "github.com/genuinetools/pkg",
    )

    go_repository(
        name = "com_github_genuinetools_reg",
        commit = "d959057b30da",
        importpath = "github.com/genuinetools/reg",
    )

    go_repository(
        name = "com_github_ghodss_yaml",
        importpath = "github.com/ghodss/yaml",
        tag = "v1.0.0",
    )

    go_repository(
        name = "com_github_golang_glog",
        commit = "23def4e6c14b",
        importpath = "github.com/golang/glog",
    )

    go_repository(
        name = "com_github_golang_mock",
        importpath = "github.com/golang/mock",
        tag = "v1.2.0",
    )

    go_repository(
        name = "com_github_google_btree",
        importpath = "github.com/google/btree",
        tag = "v1.0.0",
    )

    go_repository(
        name = "com_github_google_go_cmp",
        importpath = "github.com/google/go-cmp",
        tag = "v0.3.0",
    )

    go_repository(
        name = "com_github_google_go_jsonnet",
        importpath = "github.com/google/go-jsonnet",
        tag = "v0.12.1",
    )

    go_repository(
        name = "com_github_gophercloud_gophercloud",
        importpath = "github.com/gophercloud/gophercloud",
        tag = "v0.1.0",
    )

    go_repository(
        name = "com_github_gorilla_context",
        importpath = "github.com/gorilla/context",
        tag = "v1.1.1",
    )

    go_repository(
        name = "com_github_gregjones_httpcache",
        commit = "9cad4c3443a7",
        importpath = "github.com/gregjones/httpcache",
    )

    go_repository(
        name = "com_github_grpc_ecosystem_grpc_gateway",
        importpath = "github.com/grpc-ecosystem/grpc-gateway",
        tag = "v1.9.5",
    )

    go_repository(
        name = "com_github_hpcloud_tail",
        importpath = "github.com/hpcloud/tail",
        tag = "v1.0.0",
    )

    go_repository(
        name = "com_github_imdario_mergo",
        importpath = "github.com/imdario/mergo",
        tag = "v0.3.5",
    )

    go_repository(
        name = "com_github_inconshreveable_mousetrap",
        importpath = "github.com/inconshreveable/mousetrap",
        tag = "v1.0.0",
    )

    go_repository(
        name = "com_github_kisielk_gotool",
        importpath = "github.com/kisielk/gotool",
        tag = "v1.0.0",
    )

    go_repository(
        name = "com_github_kr_pretty",
        importpath = "github.com/kr/pretty",
        tag = "v0.1.0",
    )

    go_repository(
        name = "com_github_kr_pty",
        importpath = "github.com/kr/pty",
        tag = "v1.1.5",
    )

    go_repository(
        name = "com_github_kr_text",
        importpath = "github.com/kr/text",
        tag = "v0.1.0",
    )

    go_repository(
        name = "com_github_mattn_go_isatty",
        importpath = "github.com/mattn/go-isatty",
        tag = "v0.0.4",
    )

    go_repository(
        name = "com_github_microsoft_go_winio",
        importpath = "github.com/Microsoft/go-winio",
        tag = "v0.4.11",
    )

    go_repository(
        name = "com_github_mitchellh_go_wordwrap",
        importpath = "github.com/mitchellh/go-wordwrap",
        tag = "v1.0.0",
    )

    go_repository(
        name = "com_github_nvveen_gotty",
        commit = "cd527374f1e5",
        importpath = "github.com/Nvveen/Gotty",
    )

    go_repository(
        name = "com_github_onsi_ginkgo",
        importpath = "github.com/onsi/ginkgo",
        tag = "v1.10.1",
    )

    go_repository(
        name = "com_github_onsi_gomega",
        importpath = "github.com/onsi/gomega",
        tag = "v1.7.0",
    )

    go_repository(
        name = "com_github_opencontainers_go_digest",
        importpath = "github.com/opencontainers/go-digest",
        tag = "v1.0.0-rc1",
    )

    go_repository(
        name = "com_github_opencontainers_image_spec",
        importpath = "github.com/opencontainers/image-spec",
        tag = "v1.0.1",
    )

    go_repository(
        name = "com_github_opencontainers_runc",
        importpath = "github.com/opencontainers/runc",
        tag = "v0.1.1",
    )

    go_repository(
        name = "com_github_openzipkin_zipkin_go",
        importpath = "github.com/openzipkin/zipkin-go",
        tag = "v0.1.3",
    )

    go_repository(
        name = "com_github_peterbourgon_diskv",
        importpath = "github.com/peterbourgon/diskv",
        tag = "v2.0.1",
    )

    go_repository(
        name = "com_github_peterhellberg_link",
        importpath = "github.com/peterhellberg/link",
        tag = "v1.0.0",
    )

    go_repository(
        name = "com_github_pkg_errors",
        importpath = "github.com/pkg/errors",
        tag = "v0.8.1",
    )

    go_repository(
        name = "com_github_pmezard_go_difflib",
        importpath = "github.com/pmezard/go-difflib",
        tag = "v1.0.0",
    )

    go_repository(
        name = "com_github_sergi_go_diff",
        commit = "feef008d51ad",
        importpath = "github.com/sergi/go-diff",
    )

    go_repository(
        name = "com_github_shurcool_httpfs",
        commit = "809beceb2371",
        importpath = "github.com/shurcooL/httpfs",
    )

    go_repository(
        name = "com_github_spf13_cobra",
        importpath = "github.com/spf13/cobra",
        tag = "v0.0.5",
    )

    go_repository(
        name = "com_github_spf13_pflag",
        importpath = "github.com/spf13/pflag",
        tag = "v1.0.5",
    )

    go_repository(
        name = "com_github_stretchr_objx",
        importpath = "github.com/stretchr/objx",
        tag = "v0.2.0",
    )

    go_repository(
        name = "com_github_stretchr_testify",
        importpath = "github.com/stretchr/testify",
        tag = "v1.3.0",
    )

    go_repository(
        name = "in_gopkg_airbrake_gobrake_v2",
        importpath = "gopkg.in/airbrake/gobrake.v2",
        tag = "v2.0.9",
    )

    go_repository(
        name = "in_gopkg_check_v1",
        commit = "788fd7840127",
        importpath = "gopkg.in/check.v1",
    )

    go_repository(
        name = "in_gopkg_fsnotify_v1",
        importpath = "gopkg.in/fsnotify.v1",
        tag = "v1.4.7",
    )

    go_repository(
        name = "in_gopkg_gemnasium_logrus_airbrake_hook_v2",
        importpath = "gopkg.in/gemnasium/logrus-airbrake-hook.v2",
        tag = "v2.1.2",
    )

    go_repository(
        name = "in_gopkg_tomb_v1",
        commit = "dd632973f1e7",
        importpath = "gopkg.in/tomb.v1",
    )

    go_repository(
        name = "io_k8s_apiextensions_apiserver",
        build_file_proto_mode = "disable",
        commit = "b615a37f53e7",
        importpath = "k8s.io/apiextensions-apiserver",
    )

    go_repository(
        name = "io_k8s_kube_openapi",
        commit = "30be4d16710a",
        importpath = "k8s.io/kube-openapi",
        build_extra_args = ["-known_import=github.com/googleapis/gnostic"],
    )

    go_repository(
        name = "io_opencensus_go",
        importpath = "go.opencensus.io",
        tag = "v0.21.0",
    )

    go_repository(
        name = "io_opencensus_go_contrib_exporter_ocagent",
        importpath = "contrib.go.opencensus.io/exporter/ocagent",
        tag = "v0.6.0",
    )

    go_repository(
        name = "org_apache_git_thrift_git",
        commit = "9b75e4fe745a",
        importpath = "git.apache.org/thrift.git",
    )

    go_repository(
        name = "org_golang_google_api",
        importpath = "google.golang.org/api",
        tag = "v0.4.0",
    )

    go_repository(
        name = "org_golang_google_appengine",
        importpath = "google.golang.org/appengine",
        tag = "v1.5.0",
    )

    go_repository(
        name = "org_golang_google_grpc",
        importpath = "google.golang.org/grpc",
        tag = "v1.29.1",
    )

    go_repository(
        name = "org_golang_x_lint",
        commit = "d0100b6bd8b3",
        importpath = "golang.org/x/lint",
    )

    go_repository(
        name = "org_golang_x_sync",
        commit = "112230192c58",
        importpath = "golang.org/x/sync",
    )

    go_repository(
        name = "org_golang_x_sys",
        commit = "c7b8b68b1456",
        importpath = "golang.org/x/sys",
    )

    go_repository(
        name = "org_golang_x_text",
        importpath = "golang.org/x/text",
        tag = "v0.3.2",
    )

    go_repository(
        name = "tools_gotest",
        importpath = "gotest.tools",
        tag = "v2.2.0",
    )

    go_repository(
        name = "com_github_alecthomas_template",
        commit = "a0175ee3bccc",
        importpath = "github.com/alecthomas/template",
    )

    go_repository(
        name = "com_github_alecthomas_units",
        commit = "2efee857e7cf",
        importpath = "github.com/alecthomas/units",
    )

    go_repository(
        name = "com_github_armon_consul_api",
        commit = "eb2c6b5be1b6",
        importpath = "github.com/armon/consul-api",
    )

    go_repository(
        name = "com_github_bgentry_speakeasy",
        importpath = "github.com/bgentry/speakeasy",
        tag = "v0.1.0",
    )

    go_repository(
        name = "com_github_blang_semver",
        importpath = "github.com/blang/semver",
        tag = "v3.5.0",
    )

    go_repository(
        name = "com_github_burntsushi_toml",
        importpath = "github.com/BurntSushi/toml",
        tag = "v0.3.1",
    )

    go_repository(
        name = "com_github_burntsushi_xgb",
        commit = "27f122750802",
        importpath = "github.com/BurntSushi/xgb",
    )

    go_repository(
        name = "com_github_chai2010_gettext_go",
        commit = "c6fed771bfd5",
        importpath = "github.com/chai2010/gettext-go",
    )

    go_repository(
        name = "com_github_cockroachdb_datadriven",
        commit = "80d97fb3cbaa",
        importpath = "github.com/cockroachdb/datadriven",
    )

    go_repository(
        name = "com_github_coreos_etcd",
        importpath = "github.com/coreos/etcd",
        tag = "v3.3.10",
    )

    go_repository(
        name = "com_github_coreos_go_etcd",
        importpath = "github.com/coreos/go-etcd",
        tag = "v2.0.0",
    )

    go_repository(
        name = "com_github_coreos_go_oidc",
        importpath = "github.com/coreos/go-oidc",
        tag = "v2.1.0",
    )

    go_repository(
        name = "com_github_coreos_go_semver",
        importpath = "github.com/coreos/go-semver",
        tag = "v0.3.0",
    )

    go_repository(
        name = "com_github_coreos_go_systemd",
        commit = "95778dfbb74e",
        importpath = "github.com/coreos/go-systemd",
    )

    go_repository(
        name = "com_github_coreos_pkg",
        commit = "97fdf19511ea",
        importpath = "github.com/coreos/pkg",
    )

    go_repository(
        name = "com_github_cpuguy83_go_md2man",
        importpath = "github.com/cpuguy83/go-md2man",
        tag = "v1.0.10",
    )

    go_repository(
        name = "com_github_creack_pty",
        importpath = "github.com/creack/pty",
        tag = "v1.1.7",
    )

    go_repository(
        name = "com_github_daviddengcn_go_colortext",
        commit = "511bcaf42ccd",
        importpath = "github.com/daviddengcn/go-colortext",
    )

    go_repository(
        name = "com_github_docker_spdystream",
        commit = "449fdfce4d96",
        importpath = "github.com/docker/spdystream",
    )

    go_repository(
        name = "com_github_elazarl_goproxy",
        commit = "c4fc26588b6e",
        importpath = "github.com/elazarl/goproxy",
    )

    go_repository(
        name = "com_github_emicklei_go_restful",
        importpath = "github.com/emicklei/go-restful",
        tag = "v2.9.5",
    )

    go_repository(
        name = "com_github_exponent_io_jsonpath",
        commit = "d6023ce2651d",
        importpath = "github.com/exponent-io/jsonpath",
    )

    go_repository(
        name = "com_github_fatih_camelcase",
        importpath = "github.com/fatih/camelcase",
        tag = "v1.0.0",
    )

    go_repository(
        name = "com_github_fatih_color",
        importpath = "github.com/fatih/color",
        tag = "v1.7.0",
    )

    go_repository(
        name = "com_github_globalsign_mgo",
        commit = "eeefdecb41b8",
        importpath = "github.com/globalsign/mgo",
    )

    go_repository(
        name = "com_github_go_kit_kit",
        importpath = "github.com/go-kit/kit",
        tag = "v0.8.0",
    )

    go_repository(
        name = "com_github_go_logfmt_logfmt",
        importpath = "github.com/go-logfmt/logfmt",
        tag = "v0.3.0",
    )

    go_repository(
        name = "com_github_go_logr_logr",
        importpath = "github.com/go-logr/logr",
        tag = "v0.1.0",
    )

    go_repository(
        name = "com_github_go_stack_stack",
        importpath = "github.com/go-stack/stack",
        tag = "v1.8.0",
    )

    go_repository(
        name = "com_github_golang_groupcache",
        commit = "02826c3e7903",
        importpath = "github.com/golang/groupcache",
    )

    go_repository(
        name = "com_github_golangplus_bytes",
        commit = "45c989fe5450",
        importpath = "github.com/golangplus/bytes",
    )

    go_repository(
        name = "com_github_golangplus_fmt",
        commit = "2a5d6d7d2995",
        importpath = "github.com/golangplus/fmt",
    )

    go_repository(
        name = "com_github_golangplus_testing",
        commit = "af21d9c3145e",
        importpath = "github.com/golangplus/testing",
    )

    go_repository(
        name = "com_github_google_martian",
        importpath = "github.com/google/martian",
        tag = "v2.1.0",
    )

    go_repository(
        name = "com_github_google_pprof",
        commit = "3ea8567a2e57",
        importpath = "github.com/google/pprof",
    )

    go_repository(
        name = "com_github_google_uuid",
        importpath = "github.com/google/uuid",
        tag = "v1.1.1",
    )

    go_repository(
        name = "com_github_googleapis_gax_go_v2",
        importpath = "github.com/googleapis/gax-go/v2",
        tag = "v2.0.4",
    )

    go_repository(
        name = "com_github_gorilla_websocket",
        importpath = "github.com/gorilla/websocket",
        tag = "v1.4.0",
    )

    go_repository(
        name = "com_github_grpc_ecosystem_go_grpc_middleware",
        commit = "f849b5445de4",
        importpath = "github.com/grpc-ecosystem/go-grpc-middleware",
    )

    go_repository(
        name = "com_github_grpc_ecosystem_go_grpc_prometheus",
        importpath = "github.com/grpc-ecosystem/go-grpc-prometheus",
        tag = "v1.2.0",
    )

    go_repository(
        name = "com_github_hashicorp_golang_lru",
        importpath = "github.com/hashicorp/golang-lru",
        tag = "v0.5.1",
    )

    go_repository(
        name = "com_github_hashicorp_hcl",
        importpath = "github.com/hashicorp/hcl",
        tag = "v1.0.0",
    )

    go_repository(
        name = "com_github_jonboulle_clockwork",
        importpath = "github.com/jonboulle/clockwork",
        tag = "v0.1.0",
    )

    go_repository(
        name = "com_github_jstemmer_go_junit_report",
        commit = "af01ea7f8024",
        importpath = "github.com/jstemmer/go-junit-report",
    )

    go_repository(
        name = "com_github_julienschmidt_httprouter",
        importpath = "github.com/julienschmidt/httprouter",
        tag = "v1.2.0",
    )

    go_repository(
        name = "com_github_kisielk_errcheck",
        importpath = "github.com/kisielk/errcheck",
        tag = "v1.2.0",
    )

    go_repository(
        name = "com_github_konsorten_go_windows_terminal_sequences",
        importpath = "github.com/konsorten/go-windows-terminal-sequences",
        tag = "v1.0.1",
    )

    go_repository(
        name = "com_github_kr_logfmt",
        commit = "b84e30acd515",
        importpath = "github.com/kr/logfmt",
    )

    go_repository(
        name = "com_github_liggitt_tabwriter",
        commit = "89fcab3d43de",
        importpath = "github.com/liggitt/tabwriter",
    )

    go_repository(
        name = "com_github_lithammer_dedent",
        importpath = "github.com/lithammer/dedent",
        tag = "v1.1.0",
    )

    go_repository(
        name = "com_github_magiconair_properties",
        importpath = "github.com/magiconair/properties",
        tag = "v1.8.0",
    )

    go_repository(
        name = "com_github_makenowjust_heredoc",
        commit = "bb23615498cd",
        importpath = "github.com/MakeNowJust/heredoc",
    )

    go_repository(
        name = "com_github_mattn_go_colorable",
        importpath = "github.com/mattn/go-colorable",
        tag = "v0.0.9",
    )

    go_repository(
        name = "com_github_mattn_go_runewidth",
        importpath = "github.com/mattn/go-runewidth",
        tag = "v0.0.2",
    )

    go_repository(
        name = "com_github_mitchellh_go_homedir",
        importpath = "github.com/mitchellh/go-homedir",
        tag = "v1.1.0",
    )

    go_repository(
        name = "com_github_morikuni_aec",
        importpath = "github.com/morikuni/aec",
        tag = "v1.0.0",
    )

    go_repository(
        name = "com_github_munnerz_goautoneg",
        commit = "a7dc8b61c822",
        importpath = "github.com/munnerz/goautoneg",
    )

    go_repository(
        name = "com_github_mwitkow_go_conntrack",
        commit = "cc309e4a2223",
        importpath = "github.com/mwitkow/go-conntrack",
    )

    go_repository(
        name = "com_github_mxk_go_flowrate",
        commit = "cca7078d478f",
        importpath = "github.com/mxk/go-flowrate",
    )

    go_repository(
        name = "com_github_nytimes_gziphandler",
        commit = "56545f4a5d46",
        importpath = "github.com/NYTimes/gziphandler",
    )

    go_repository(
        name = "com_github_olekukonko_tablewriter",
        commit = "a0225b3f23b5",
        importpath = "github.com/olekukonko/tablewriter",
    )

    go_repository(
        name = "com_github_pelletier_go_toml",
        importpath = "github.com/pelletier/go-toml",
        tag = "v1.2.0",
    )

    go_repository(
        name = "com_github_pquerna_cachecontrol",
        commit = "0dec1b30a021",
        importpath = "github.com/pquerna/cachecontrol",
    )

    go_repository(
        name = "com_github_remyoudompheng_bigfft",
        commit = "52369c62f446",
        importpath = "github.com/remyoudompheng/bigfft",
    )

    go_repository(
        name = "com_github_rogpeppe_fastuuid",
        commit = "6724a57986af",
        importpath = "github.com/rogpeppe/fastuuid",
    )

    go_repository(
        name = "com_github_russross_blackfriday",
        importpath = "github.com/russross/blackfriday",
        tag = "v1.5.2",
    )

    go_repository(
        name = "com_github_soheilhy_cmux",
        importpath = "github.com/soheilhy/cmux",
        tag = "v0.1.4",
    )

    go_repository(
        name = "com_github_spf13_afero",
        importpath = "github.com/spf13/afero",
        tag = "v1.2.2",
    )

    go_repository(
        name = "com_github_spf13_cast",
        importpath = "github.com/spf13/cast",
        tag = "v1.3.0",
    )

    go_repository(
        name = "com_github_spf13_jwalterweatherman",
        importpath = "github.com/spf13/jwalterweatherman",
        tag = "v1.0.0",
    )

    go_repository(
        name = "com_github_spf13_viper",
        importpath = "github.com/spf13/viper",
        tag = "v1.3.2",
    )

    go_repository(
        name = "com_github_tmc_grpc_websocket_proxy",
        commit = "89b8d40f7ca8",
        importpath = "github.com/tmc/grpc-websocket-proxy",
    )

    go_repository(
        name = "com_github_ugorji_go_codec",
        commit = "d75b2dcb6bc8",
        importpath = "github.com/ugorji/go/codec",
    )

    go_repository(
        name = "com_github_xiang90_probing",
        commit = "43a291ad63a2",
        importpath = "github.com/xiang90/probing",
    )

    go_repository(
        name = "com_github_xlab_handysort",
        commit = "fb3537ed64a1",
        importpath = "github.com/xlab/handysort",
    )

    go_repository(
        name = "com_github_xordataexchange_crypt",
        commit = "b2862e3d0a77",
        importpath = "github.com/xordataexchange/crypt",
    )

    go_repository(
        name = "in_gopkg_alecthomas_kingpin_v2",
        importpath = "gopkg.in/alecthomas/kingpin.v2",
        tag = "v2.2.6",
    )

    go_repository(
        name = "in_gopkg_cheggaaa_pb_v1",
        importpath = "gopkg.in/cheggaaa/pb.v1",
        tag = "v1.0.25",
    )

    go_repository(
        name = "in_gopkg_natefinch_lumberjack_v2",
        importpath = "gopkg.in/natefinch/lumberjack.v2",
        tag = "v2.0.0",
    )

    go_repository(
        name = "in_gopkg_resty_v1",
        importpath = "gopkg.in/resty.v1",
        tag = "v1.12.0",
    )

    go_repository(
        name = "in_gopkg_square_go_jose_v2",
        importpath = "gopkg.in/square/go-jose.v2",
        tag = "v2.2.2",
    )

    go_repository(
        name = "io_etcd_go_bbolt",
        importpath = "go.etcd.io/bbolt",
        tag = "v1.3.3",
    )

    go_repository(
        name = "io_etcd_go_etcd",
        commit = "3cf2f69b5738",
        importpath = "go.etcd.io/etcd",
    )

    go_repository(
        name = "io_k8s_apiserver",
        commit = "f2537b84c964",
        importpath = "k8s.io/apiserver",
    )

    go_repository(
        name = "io_k8s_cli_runtime",
        commit = "ec04ad4dbd24",
        importpath = "k8s.io/cli-runtime",
    )

    go_repository(
        name = "io_k8s_code_generator",
        commit = "2a85f169f05f",
        importpath = "k8s.io/code-generator",
    )

    go_repository(
        name = "io_k8s_component_base",
        commit = "ea09a2678486",
        importpath = "k8s.io/component-base",
    )

    go_repository(
        name = "io_k8s_gengo",
        commit = "26a664648505",
        importpath = "k8s.io/gengo",
    )

    go_repository(
        name = "io_k8s_kubectl",
        commit = "fbc5d36fee2d",
        importpath = "k8s.io/kubectl",
    )

    go_repository(
        name = "io_k8s_metrics",
        commit = "dea8d0e6b550",
        importpath = "k8s.io/metrics",
    )

    go_repository(
        name = "io_k8s_sigs_kustomize",
        importpath = "sigs.k8s.io/kustomize",
        tag = "v2.0.3",
    )

    go_repository(
        name = "io_k8s_sigs_structured_merge_diff",
        commit = "b1b620dd3f06",
        importpath = "sigs.k8s.io/structured-merge-diff",
    )

    go_repository(
        name = "org_golang_x_exp",
        commit = "4b39c73a6495",
        importpath = "golang.org/x/exp",
    )

    go_repository(
        name = "org_golang_x_image",
        commit = "0694c2d4d067",
        importpath = "golang.org/x/image",
    )

    go_repository(
        name = "org_golang_x_mobile",
        commit = "d3739f865fa6",
        importpath = "golang.org/x/mobile",
    )

    go_repository(
        name = "org_golang_x_xerrors",
        commit = "a985d3407aa7",
        importpath = "golang.org/x/xerrors",
    )

    go_repository(
        name = "org_gonum_v1_gonum",
        commit = "3d26580ed485",
        importpath = "gonum.org/v1/gonum",
    )

    go_repository(
        name = "org_gonum_v1_netlib",
        commit = "76723241ea4e",
        importpath = "gonum.org/v1/netlib",
    )

    go_repository(
        name = "org_modernc_cc",
        importpath = "modernc.org/cc",
        tag = "v1.0.0",
    )

    go_repository(
        name = "org_modernc_golex",
        importpath = "modernc.org/golex",
        tag = "v1.0.0",
    )

    go_repository(
        name = "org_modernc_mathutil",
        importpath = "modernc.org/mathutil",
        tag = "v1.0.0",
    )

    go_repository(
        name = "org_modernc_strutil",
        importpath = "modernc.org/strutil",
        tag = "v1.0.0",
    )

    go_repository(
        name = "org_modernc_xc",
        importpath = "modernc.org/xc",
        tag = "v1.0.0",
    )

    go_repository(
        name = "org_uber_go_atomic",
        importpath = "go.uber.org/atomic",
        tag = "v1.3.2",
    )

    go_repository(
        name = "org_uber_go_multierr",
        importpath = "go.uber.org/multierr",
        tag = "v1.1.0",
    )

    go_repository(
        name = "org_uber_go_zap",
        importpath = "go.uber.org/zap",
        tag = "v1.10.0",
    )

    go_repository(
        name = "com_github_dgraph_io_ristretto",
        commit = "83508260cb49a2c3261c2774c991870fd18b5a1b",
        importpath = "github.com/dgraph-io/ristretto",
    )

    go_repository(
        name = "com_github_cespare_xxhash",
        commit = "d7df74196a9e781ede915320c11c378c1b2f3a1f",
        importpath = "github.com/cespare/xxhash",
    )

    go_repository(
        name = "com_github_ulule_limiter_v3",
        commit = "6911899e37a5788df86f770b3f85c1c3eb0313d5",
        importpath = "github.com/ulule/limiter/v3",
        remote = "https://github.com/ulule/limiter",
        vcs = "git",
    )

    go_repository(
        name = "com_github_go_telegram_bot_api_telegram_bot_api",
        commit = "b33efeebc78563cfeddf19563781cffb16aaabdf",
        importpath = "github.com/go-telegram-bot-api/telegram-bot-api",
    )

    go_repository(
        name = "com_github_technoweenie_multipartstreamer",
        commit = "a90a01d73ae432e2611d178c18367fbaa13e0154",
        importpath = "github.com/technoweenie/multipartstreamer",
    )

    go_repository(
        name = "in_gopkg_irc_v3",
        commit = "d07dcb9293789fdc99c797d3499a5799bc343b86",
        importpath = "gopkg.in/irc.v3",
    )

    go_repository(
        name = "in_gopkg_russross_blackfriday_v2",
        commit = "d3b5b032dc8e8927d31a5071b56e14c89f045135",
        importpath = "gopkg.in/russross/blackfriday.v2",
    )

    go_repository(
        name = "com_github_shurcool_sanitized_anchor_name",
        commit = "7bfe4c7ecddb3666a94b053b422cdd8f5aaa3615",
        importpath = "github.com/shurcooL/sanitized_anchor_name",
    )

    go_repository(
        name = "com_github_go_git_go_billy_v5",
        commit = "d7a8afccaed297c30f8dff5724dbe422b491dd0d",
        importpath = "github.com/go-git/go-billy/v5",
        remote = "https://github.com/go-git/go-billy",
        vcs = "git",
    )

    go_repository(
        name = "com_github_go_git_go_git_v5",
        commit = "3127ad9a44a2ee935502816065dfe39f494f583d",
        importpath = "github.com/go-git/go-git/v5",
        remote = "https://github.com/go-git/go-git",
        vcs = "git",
        build_extra_args = [
            "-known_import=github.com/go-git/go-billy/v5",
        ],
    )

    go_repository(
        name = "com_github_go_git_gcfg",
        commit = "22f18f9a74d34e3b1a7d59cfa33043bc50ebe376",
        importpath = "github.com/go-git/gcfg",
    )

    go_repository(
        name = "in_gopkg_warnings_v0",
        commit = "ec4a0fea49c7b46c2aeb0b51aac55779c607e52b",
        importpath = "gopkg.in/warnings.v0",
    )

    go_repository(
        name = "com_github_emirpasic_gods",
        commit = "80e934ed68b9084f386ae25f74f839aaecfb54d8",
        importpath = "github.com/emirpasic/gods",
    )

    go_repository(
        name = "com_github_jbenet_go_context",
        commit = "d14ea06fba99483203c19d92cfcd13ebe73135f4",
        importpath = "github.com/jbenet/go-context",
    )

    go_repository(
        name = "com_github_kevinburke_ssh_config",
        commit = "01f96b0aa0cdcaa93f9495f89bbc6cb5a992ce6e",
        importpath = "github.com/kevinburke/ssh_config",
    )

    go_repository(
        name = "com_github_xanzy_ssh_agent",
        commit = "6a3e2ff9e7c564f36873c2e36413f634534f1c44",
        importpath = "github.com/xanzy/ssh-agent",
    )

    go_repository(
        name = "com_github_gabriel_vasile_mimetype",
        commit = "06500030e7d26826f68caa5ca7d98c315c4caa28",
        importpath = "github.com/gabriel-vasile/mimetype",
    )

    go_repository(
        name = "com_github_kevinburke_go_bindata",
        commit = "a606d617e1d1546a2342de6fc4ed95c78e171d68",
        importpath = "github.com/kevinburke/go-bindata",
    )
